#if 0
void convert_c(struct image_in const *input,
	       struct image_out const *output)
	}
#endif
do {
	rgb_pixel_t	*out = output->data;
	pixel_t const	*in;
	ssize_t		stride;
	ssize_t		out_stride;

	if (input->info.bpp != 8 * sizeof *in)
		abort();

	out_stride = output->info.stride / sizeof *out;
	stride	   = input->info.stride  / sizeof *in;

	/* move input to (1,1) pixel */
	in  = input->data;
	in += border * stride;
	in += border;

	for (size_t y = border; y+border < input->info.h; y += 2) {
		rgb_pixel_t	*out_next = out + 2 * out_stride;

		/* skip 2 columns left and 2 columns right */
		for (size_t x = border; x+border < input->info.w; x += 2) {
			/* [G]BRG pixel */
			out[0] = (rgb_pixel_t)conv_fn_00(in);

			/* G[B]RG pixel */
			out[1] = (rgb_pixel_t)conv_fn_01(in+1);

			/* GB[R]G pixel */
			out[out_stride] = (rgb_pixel_t)conv_fn_10(in + stride);

			/* GBR[G] pixel */
			out[out_stride+1] = (rgb_pixel_t)conv_fn_11(in + stride + 1);

			out += 2;
			in  += 2;
		}

		out  = out_next;
		in  += stride + 2*border;
	}

	if (info)
		info->fn = __func__;

	handled = 1;
} while (0);
